Subject: Re: [PATCH 1/2] net: phylink: add helper to initialize phylink's phydev

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 7 Dec 2022 12:23:51 +0000

Hi,

On Wed, Dec 07, 2022 at 10:49:39AM +0000, [email-masked] wrote:
> On 05.12.2022 17:57, Russell King (Oracle) wrote:
> > when we know that the PHY has lost power - maybe the MAC driver can
> > tell phylink that detail, and be updated to use phylink_suspend() and
> > phylink_resume() ?
> 
> Cutting the power is arch specific and it may depends on the PM mode that
> system will go (at least for AT91 architecture). At the moment there is no
> way for drivers to know about architecture specific power management mode.
> There was an attempt to implement this (few years ago, see [1]) but it
> wasn't accepted (from what I can see in the source code at the moment).
> 
> So, in case we choose to move it to phylink_resume() we will have to
> reinitialize the PHY unconditionally (see below). Would this be OK?

I guess it would - off the top of my head, I can't think why a call to
phy_init_hw() would cause an issue, but maybe my fellow phylib
maintainers have a different opinion.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!